%define upstream_name    IMAP-Admin
%define upstream_version 1.6.8

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    IMAP-Admin Perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/IMAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
A perl module to manage IMAP servers

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/IMAP/*
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.6.8-3pclos2017
- rebuild against updates

